Package twisted :: Package protocols :: Module dns :: Class Query

[show private | hide private]
[frames | no frames]

## Class Query

Represent a single DNS query.

Method Summary
| ``__init__`(self, name, type, cls)`
| `__cmp__(self, other)`
| `__hash__(self)`
| `__repr__(self)`
| `__str__(self)`
| `decode(self, strio, length)`
| `encode(self, strio, compDict)`

Instance Variable Summary
| `cls` - The query class.
| `name` - The name about which this query is requesting information.
| `type` - The query type.

Class Variable Summary
`tuple` | `__implements__`
`None` | `cls`
`None` | `name`
`None` | `type`

Method Details

### __init__(self, name='', type=1, cls=1)
(Constructor)

  Parameters:
    `name` - The name about which to request information.
    (type=`str`)
    `type` - The query type.
    (type=`int`)
    `cls` - The query class.
    (type=`int`)

Instance Variable Details

### cls

The query class.

### name

The name about which this query is requesting information.

### type

The query type.

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.protocols.dns.IEncodable at 0x8648004>,)

### cls

  Type:
    `None`
  Value:

        None

### name

  Type:
    `None`
  Value:

        None

### type

  Type:
    `None`
  Value:

        None

Generated by Epydoc 1.1 on Sat Feb 15 21:19:11 2003 | http://epydoc.sf.net